EVRi International offers international shipping services for shipments originating in the UK, US, and most EU countries.
This guide provides developers with the details needed to build EVRi International shipping capabilities into your ShipStation API workflows.
ShipStation API also allows you to connect your own existing EVRi Corporate account or use the EVRi services included with ShipStation API. The requirements and service details are different than those for EVRi International. For details about using EVRi from ShipStation, see our EVRi from ShipStation Guide. For details about using EVRi Corporate services, see our EVRi Corporate Guide.
| Property | Type | Description |
|---|---|---|
nickname | string | required |
api_key | string | required |
You can connect an EVRi International account using the POST method to the /v1/connections/carriers/ endpoint. Currently, you cannot connect an EVRi International account via the ShipStation API dashboard.
carrier_name: evri_international
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/evri_international HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My EVRi International account",
"api_key": "123456789",
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
EVRi does not send estimated rates to ShipStation API, as EVRi does not have an available Rates API. Your EVRi International account contact can provide you with the details about your contracted rates.
Available EVRi International services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code |
|---|---|
| International | evri_international_international |
| Intenational (final mile) | evri_international_international_final_mile |
| International PUDO | evri_international_international_pudo |
| International PUDO final mile | evri_international_international_pudo_final_mile |
Evri International will support B2C and C2C movement types for shipping from Great Britain to Northern Ireland, in accordance with the Windsor Framework. Evri will not support B2B shipments to Northern Ireland.
When shipping B2C and C2C shipments with Evri:
- Evri will identify internally which accounts are B2C and C2C, so there is no need to add the
windsor_framework_detailsproperty to the request.
If you are unsure about whether you are B2C or C2C, please contact your Evri Account Manager. - B2C and C2C shipments will have additional new data requirements (see table).
TIP: You may find it helpful to see the Products Object section of our International Shipping page.
| Movement Type | Data Requirements |
|---|---|
| B2C |
|
| C2C |
|
| C2B | Undeliverable returns (parcel delivery from Northern Ireland to Great Britain being returned due to being undeliverable) will be accepted without providing the enhanced data set. |
| B2B | Not supported |
From 1 May 2025, Evri will start validating the new data required for Northern Ireland parcels to ensure they can provide this data to HMRC. If the required data is not provided, the label will not be generated.
EVRi International does not currently support return services.
The following carrier package types are available for EVRi International services:
| Name | API Code | Package Attributes |
|---|---|---|
| Package | pkg | International |
You can also use the generic package type or custom package types.
Adding shipment insurance is not supported for this carrier.
- Label sizes: 4" x 6"
- Label formats: PDF, PNG, ZPL
EVRi International does not support adding custom label messages.
EVRi International does not support multi-package shipments.
EVRi International does not support label branding.
EVRi International supports voiding labels with ShipStation API.
EVRi International does not currently support paperless labels.
Customs declarations for EVRi International shipments are printed directly on the label. You do not need to download additional forms.
NOTE: Action Required: New Zealand Border Levy Changes
Effective April 1, 2026, a new NZD $2.21 (+ GST) levy applies to low-value air freight consignments entering New Zealand. This levy is charged per consignment, not per item.
See the Shipping to New Zealand: Low Value Goods (LVG) Levy section in International Shipments for full details.
EVRi International does not support any delivery confirmation types. All shipments will default to none.
EVRi International does not currently support any advanced options.
EVRi International does not require manifesting your shipments.
EVRi International does not support scheduling a pickup.
EVRi International supports shipping to service points with their specified PUDO services.
ShipStation API's integration with EVRi International supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.